# $Revision: 1.30 $, $Date: 2006/10/25 21:44:40 $
%include	/usr/lib/rpm/macros.perl
Summary:	File::Remove - remove files and directories
Summary(pl):	File::Remove - usuwanie plikw i katalogw
Name:		perl-File-Remove
Version:	0.33
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/File-Remove-%{version}.tar.gz
# Source0-md5:	a72672453ccf9884121c788ea859b12d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Remove removes files and directories. It acts like rm for the
most part.  Although unlink can be given a list of files it will not
remove directories.  This module remedies that.  It also accepts
wildcards, * and ?, as arguments for filenames.

%description -l pl
File::Remove usuwa pliki i katalogi. Dziaa w zasadzie jak rm.
Jednake, funkcji unlink mona przekaza tylko list plikw, nie usuwa
ona katalogw. Ten modu ma na to lekarstwo. Akceptuje rwnie
metaznaki: * i ? jako argumenty dla nazw plikw.

%prep
%setup -q -n File-Remove-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/File/Remove.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-Remove.spec,v $
Revision 1.30  2006/10/25 21:44:40  ankry
- ver. 0.33

Revision 1.29  2004/05/06 18:01:28  ankry
- fixed perl-devel BR

Revision 1.28  2004/04/20 13:59:20  ankry
- summary/description/license fixes

Revision 1.27  2003/09/09 10:24:35  ankry
- spaces -> tab

Revision 1.26  2003/08/26 18:04:25  blues
- release 9 - should be higher that in RA-branch

Revision 1.25  2003/08/18 08:08:46  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.24  2003/05/28 13:00:38  malekith
- massive attack: source-md5

Revision 1.23  2003/05/25 06:24:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.21  2003/03/01 19:09:10  radek
- should be ready for perl-5.8.0; release++

Revision 1.20  2003/02/25 00:39:22  radek
- use the __perl macro

Revision 1.19  2003/02/18 15:32:24  ankry
- massive attack: change CPAN URLs

Revision 1.18  2002/11/26 00:13:58  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.17  2002/07/10 08:47:15  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.16  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.15  2002/03/03 06:04:08  kloczek
- relase 7.

Revision 1.14  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/10 15:26:26  depesz
adapterized

Revision 1.12  2002/01/18 02:14:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:16  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:08:57  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/03 21:46:16  kloczek
- release 4: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:51  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 16:52:51  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 19:29:03  pius
- initial release
